### Method

# Camel Folder set_lock_async

since: 2.30

#### Declaration [src]

    void
    camel_folder_set_lock_async (
      CamelFolder* folder,
      gboolean skip_folder_lock
    )

#### Description [src]

Sets whether folder locking (camel_folder_lock() and camel_folder_unlock()) should be used. When set to `FALSE`, the two functions do nothing and simply return.

Available since: 2.30

#### Parameters

`skip_folder_lock`

  Type: `gboolean`

  A value to set.